# Record TCefTouchEvent

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefTouchEvent = record`

## Description

Structure representing touch event information.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_touch_event_t))

## Overview

### Fields

| `id: integer;`
| `x: single;`
| `y: single;`
| `radius_x: single;`
| `radius_y: single;`
| `rotation_angle: single;`
| `pressure: single;`
| `type_: TCefTouchEeventType;`
| `modifiers: TCefEventFlags;`
| `pointer_type: TCefPointerType;`

## Description

### Fields

| `id: integer;`
Id of a touch point. Must be unique per touch, can be any number except -1. Note that a maximum of 16 concurrent touches will be tracked; touches beyond that will be ignored.

| `x: single;`
X coordinate relative to the left side of the view.

| `y: single;`
Y coordinate relative to the top side of the view.

| `radius_x: single;`
X radius in pixels. Set to 0 if not applicable.

| `radius_y: single;`
Y radius in pixels. Set to 0 if not applicable.

| `rotation_angle: single;`
Rotation angle in radians. Set to 0 if not applicable.

| `pressure: single;`
The normalized pressure of the pointer input in the range of [0,1]. Set to 0 if not applicable.

| `type_: TCefTouchEeventType;`
The state of the touch point. Touches begin with one CEF_TET_PRESSED event followed by zero or more CEF_TET_MOVED events and finally one CEF_TET_RELEASED or CEF_TET_CANCELLED event. Events not respecting this order will be ignored.

| `modifiers: TCefEventFlags;`
Bit flags describing any pressed modifier keys. See TCefEventFlags for values.

| `pointer_type: TCefPointerType;`
The device type that caused the event.

Generated by PasDoc 0.16.0-snapshot.